<?php
/*
*
* @author (Макс) Freedom <by_freedom@bk.ru>
* ICQ 286-0-666
*
*/
class func {
// низ сайта
public static function foot() {
global $dbs, $lang, $start_time;
echo '<footer class="footer">
<div class="container">
<p class="text-muted"><center>(c) by Freedom</center></p>
<center><script type="text/javascript" src="http://mobtop.ru/c/105071.js"></script><noscript><a href="http://mobtop.ru/in/105071"><img src="http://mobtop.ru/105071.gif" alt="MobTop.Ru - рейтинг мобильных сайтов"/></a></noscript> <a href="http://statok.net/go/10579"><img src="http://statok.net/imageOther/10579" alt="Statok.net" /></a></center></div></footer></div><script type="text/javascript"> (function (d, w, c) { (w[c] = w[c] || []).push(function() { try { w.yaCounter31930361 = new Ya.Metrika({ id:31930361, clickmap:true, trackLinks:true, accurateTrackBounce:true }); } catch(e) { } }); var n = d.getElementsByTagName("script")[0], s = d.createElement("script"), f = function () { n.parentNode.insertBefore(s, n); }; s.type = "text/javascript"; s.async = true; s.src = "https://mc.yandex.ru/metrika/watch.js"; if (w.opera == "[object Opera]") { d.addEventListener("DOMContentLoaded", f, false); } else { f(); } })(document, window, "yandex_metrika_callbacks"); </script> <noscript><div><img src="https://mc.yandex.ru/watch/31930361" style="position:absolute; left:-9999px;" alt="" /></div></noscript>';
?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script>window.jQuery || document.write('<script src="/design/assets/js/vendor/jquery.min.js"><\/script>')</script>
<script src="/design/js/bootstrap.min.js"></script>
<script src="/design/assets/js/ie10-viewport-bug-workaround.js"></script></body></html>
<?
}
// верх сайта
public static function head($title){
global $dbs, $ip, $user, $_COOKIE, $lang, $aut;
echo '<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="Бесплатный хостинг файлов без ожидания скачивания и капчи. Превью изображений, медиафайлов, документов и архивов. wapfile.su — быстрый и удобный файлообменник."><meta name="keywords" content="файлообменник, бесплатный файлообменник, хороший файлообменник, быстрый файлообменник, хостинг файлов, файловый хостинг, хранение файлов, обмен файлами, хостинг картинок, фотохостинг, видеохостинг, аудиохостинг, файловый обменник, разместить файл, разместить фото, просмотр файлов, превью">
<title>'.$title.'</title>';
?>
<link href="/design/css/bootstrap.min.css" rel="stylesheet">
<link href="/design/style.css" rel="stylesheet">
<script src="/design/assets/js/ie8-responsive-file-warning.js"></script>
<script src="/design/assets/js/ie-emulation-modes-warning.js"></script>
<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
</head>
<body>
<nav class="navbar navbar-default">
<div class="container">
<div class="navbar-header">
<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
<span class="sr-only">Toggle navigation</span>
<span class="icon-bar"></span>
<span class="icon-bar"></span>
<span class="icon-bar"></span>
</button>
<a class="navbar-brand" href="/">WAPFILE.SU</a>
</div>
<?
echo '<div id="navbar" class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li><a href="/">'.$lang['home'].'</a></li>
<li><a href="/plugin/imp.php">'.$lang['import'].'</a></li>
<li><a href="/info/contact.php">'.$lang['contact'].'</a></li>
<li><a href="/info/faq.php">'.$lang['info'].'</a></li>
<li><a href="/info/stat.php">'.$lang['statistics'].'</a></li>
<li><a href="/wapfile.apk">Приложение для Android</a></li>';
if ($aut == true) {
echo '<li><a href="/cpanel/"><b>Cpanel</b></a></li>';
}
echo '<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"> Language <b class="caret"></b></a>
<ul class="dropdown-menu">
<li><a href="/plugin/language.php?lang=ru">Русский</a></li>
<li><a href="/plugin/language.php?lang=en">English</a></li>
<li><a href="/plugin/language.php?lang=ua">Українська</a></li>
</ul></li>
</ul>
</div><!--/.navbar-collapse -->
</div>
</nav>';
}
// подсветка ссылок
public static function url_replace($url) {
if (!isset($url[4])) {
$target = (strpos($url[1], homeurl) === false) ? ' target="_blank" rel="nofollow"' : '';
$title = (mb_strlen($url[3]) > 80) ? mb_substr($url[3], 0, 70, 'UTF-8').'...' : $url[3];
return '<a href="'.$url[1].'"'.$target.'>'.check(rawurldecode(html_entity_decode($title, ENT_QUOTES, 'utf-8'))).'</a>';
} else {
$target = (strpos($url[4], homeurl) === false) ? ' target="_blank" rel="nofollow"' : '';
$title = (mb_strlen($url[4]) > 80) ? mb_substr($url[4], 0, 70, 'UTF-8').'...' : $url[4];
return '<a href="'.$url[4].'"'.$target.'>'.check(rawurldecode(html_entity_decode($title, ENT_QUOTES, 'utf-8'))).'</a>';
}
}
public static function links($msg){
$msg = preg_replace_callback('~\[url=((https?|ftp)://.+?)\](.+?)\[/url\]|((https?|ftp)://[0-9a-zа-яё/.;?=\(\)\_\-&%#]+)~ui', 'url_replace', $msg);
return $msg;
}
// Вывод текста
public static function out($var){
return nl2br(self::links($var));
}
// Сообщение об ошибке
public static function err($var){
if (!empty($var)) echo '<div class="alert alert-danger alert-dismissable">'.$var.'</div>';
}
// Сообщение об успешном запросе
public static function msg($var){
if (!empty($var)) echo '<div class="alert alert-success alert-dismissable">'.$var.'</div>';
}
// Фильтрация букв, символов
public static function check($var){
$var = htmlspecialchars(trim($var));
return $var;
}
// красивый вывод размера файла
public static function size($size){
if ($size >= 1073741824)
$size = round($size/1073741824*100) / 100 .' Gb';
elseif ($size >= 1048576)
$size = round($size/1048576*100) / 100 .' Mb';
elseif ($size >= 1024)
$size = round($size/1024*100) / 100 .' kb';else $size = round($size).' Byte';
return $size;
}
// замена русских букв на латиницу
public static function retrans($t){
$a = array('_','YA','Ya','ya','yee','YO','yo','Yo','ZH','zh','Zh','Z','z','CH','ch','Ch','SH','sh','Sh','YE','ye','Ye','YU','yu','Yu','JA','ja','Ja','A','a','B','b','V','v','G','g','D','d','E','e','I','i','J','j','K','k','L','l','M','m','N','n','O','o','P','p','R','r','S','s','T','t','U','u','F','f','H','h','W','w','x','q','Y','y','C','c','!');
$b = array(' ','Я','Я','я','ые','Ё','ё','Ё','Ж','ж','Ж','З','з','Ч','ч','Ch','Ш','ш','Ш','Э','э','Э','Ю','ю','Ю','Я','я','Я','А','а','Б','б','В','в','Г','г','Д','д','Е','е','И','и','Й','й','К','к','Л','л','М','м','Н','н','О','о','П','п','Р','р','С','с','Т','т','У','у','Ф','ф','Х','х','Щ','щ','ъ','ь','Ы','ы','Ц','ц','');
return str_replace($b,$a,$t);
}
// вырезаем не нужные символы
public static function del($text) {
$text = preg_replace("/[A-Z-a-z0-9_.-]/i", "",$text);
return $text;
}
public static function getWithOutPath($filename) {
return end(explode('/', $filename));
}
// вывод навигации
public static function nav($link,$all,$page) {
echo '<ul class="pagination">';
for($i = 1; $i <= $all; $i++) {
echo '<li class="'.($i == $page ? 'active' : 'disabled').'"><a href="'.$link.'page='.$i.'">'.$i.'</a></li>';
}
echo '</ul>';
}
}
?>